"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const os_1 = __importDefault(require("os"));
class RecordWriter {
    constructor() { }
    static getInstance() {
        if (!RecordWriter.instance) {
            RecordWriter.instance = new RecordWriter();
        }
        return RecordWriter.instance;
    }
    writeLog(record) {
        let level = record.metadata.level;
        if (this.customSinkFunction) {
            this.customSinkFunction(level, JSON.stringify(record.payload));
        }
        else {
            // default to stdout
            process.stdout.write(JSON.stringify(record.payload) + os_1.default.EOL);
        }
    }
    setSinkFunction(f) {
        this.customSinkFunction = f;
    }
}
exports.default = RecordWriter;
//# sourceMappingURL=recordWriter.js.map